# Method: purchases.products.acknowledge

- [HTTP request](https://developers.google.com/android-publisher/api-ref/rest/v3/purchases.products/acknowledge#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/android-publisher/api-ref/rest/v3/purchases.products/acknowledge#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/android-publisher/api-ref/rest/v3/purchases.products/acknowledge#body.request_body)
  - [JSON representation](https://developers.google.com/android-publisher/api-ref/rest/v3/purchases.products/acknowledge#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/android-publisher/api-ref/rest/v3/purchases.products/acknowledge#body.response_body)
- [Authorization scopes](https://developers.google.com/android-publisher/api-ref/rest/v3/purchases.products/acknowledge#body.aspect)
- [Try it!](https://developers.google.com/android-publisher/api-ref/rest/v3/purchases.products/acknowledge#try-it)

Acknowledges a purchase of an inapp item.

### HTTP request

`POST https://androidpublisher.googleapis.com/androidpublisher/v3/applications/{packageName}/purchases/products/{productId}/tokens/{token}:acknowledge`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `packageName` | `string` The package name of the application the inapp product was sold in (for example, 'com.some.thing'). |
| `productId` | `string` The inapp product SKU (for example, 'com.some.thing.inapp1'). |
| `token` | `string` The token provided to the user's device when the inapp product was purchased. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "developerPayload": string } ``` |

| Fields ||
|---|---|
| `developerPayload` | `string` Payload to attach to the purchase. |

### Response body

If successful, the response body is empty.

### Sample

The following is a sample request:

```json
curl \
  -X POST \
  'https://androidpublisher.googleapis.com/androidpublisher/v3/applications/com.example.app/purchases/products/com.example.app.inapp1/tokens/exampletoken:acknowledge' \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer [YOUR_ACCESS_TOKEN]' \
  -H 'Content-Type: application/json'
  -d '{
    "developerPayload": "payload_for_the_purchase"
  }'
```

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/androidpublisher`